%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%if 0%{?fedora}
%global enable_minify 0
%endif

Name:       nodejs-underscore-dot-string
Version:    3.2.2
Release:    2%{?dist}
Summary:    String manipulation extensions for the Underscore.js JavaScript library
# License text is contained within README.markdown.
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/epeli/underscore.string
Source0:    https://registry.npmjs.org/underscore.string/-/underscore.string-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_minify}
BuildRequires:  rubygem-rake
BuildRequires:  rubygem-uglifier
%endif

%if 0%{?enable_tests}
BuildRequires:  npm(qunit)
BuildRequires:  phantomjs
%endif

%description
%{summary}.


%prep
%setup -q -n package
# Pre-minified files must be removed and minified manually.
rm -f dist/*


%build
%if 0%{?enable_minify}
/usr/bin/rake build
%endif


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/underscore.string
cp -pr *.js *.json package.json helper/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string

%if 0%{?enable_minify}
cp -pr dist/ \
    %{buildroot}%{nodejs_sitelib}/underscore.string
%endif

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -sf %{nodejs_sitelib} .
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.markdown
%{nodejs_sitelib}/underscore.string


%changelog
* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 3.2.2-2
- Update to upstream 3.2.2 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.3.1-3
- conditionalize minification; disable on EPEL due to missing deps

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.3.1-1
- initial package
